<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="plot2d_optim" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>30-Mar-2008</pubdate>
  </info>

  <refnamediv>
    <refname>plot2d_optim</refname>

    <refpurpose>progress graph for optimization criteria</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>plot2d_optim(i,y,bound,leq)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>i</term>

        <listitem>
          <para>iteration rank of the points to be plotted</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>y</term>

        <listitem>
          <para>values of the objective functions for each iterations</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>bound</term>

        <listitem>
          <para>a real value. If leq==%T, above bound, the graph is green.
          Below, it red.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>leq</term>

        <listitem>
          <para>sense of the optimization.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Progress graph for optimization criteria.</para>
  </refsection>

  <refsection>
    <title>Authors</title>

    <variablelist>
      <varlistentry>
        <term>G. Pujol</term>

        <listitem>
          <para>ENSM-SE</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
</refentry>
